import { request } from '/@/utils/service';


const apiPrefix = '/api/choice/goods/';

export function getTableData(query: any) {
  return request({
    url: apiPrefix,
    method: 'GET',
    params: query
  });
}

export function updateRow(body: any) {
  return request({
    url: apiPrefix + body.id + '/',
    method: 'PUT',
    data: body
  });
}

export function getGroupOptions() {
  return request({
    url: apiPrefix + 'tags/',
    method: 'GET'
  });
}

export function getBrandsOptions() {
  return request({
    url: apiPrefix + 'brands/',
  });
}
export function getShopOptions() {
  return request({
    url: '/api/choice/marketplace_shops/select/',
    method: 'GET',
  });
}

export function updateShopDetail(body: any) {
  return request({
    url: apiPrefix + `${ body.id }/`,
    method: 'POST',
    params: { partial: body.partial },
    data: body.formData
  });
}
